from .text_utils import markdown_with_code_examples


def json_page():
    markdown_with_code_examples(
        """
        # Exploring Data

        Hyperdiv lets you explore Python data -- arbitrarily nested
        Python lists and dictionaries -- using the
        [json](/components/json) component.

        Tabular data can be dumped into a [table](/concepts/tables).

        And numeric data can be plotted with [charts](/concepts/charts).

        Here's an example that shows hitting an API and visualizing
        its data with a table, a chart, and a json viewer.

        ```py
        import requests
        
        s = hd.state(data=None)

        with hd.box(gap=16):
            if hd.button('Get data').clicked:
                r = requests.get('https://fakerapi.it/api/v1/products?_quantity=10')
                s.data = r.json()['data']

            if s.data:
                hd.text('## Table')
                hd.data_table(s.data, page_size=5)

                hd.text('## Price Chart')
                hd.scatter_chart({
                    d['name']: float(d['price'])
                    for d in s.data
                }, tooltip="item")

                hd.text('## Data Explorer')
                hd.json(s.data)
        ```
        """
    )
