import hyperdiv as hd


def overview():
    hd.text(
        """
        # Welcome to Hyperdiv

        Hyperdiv is a Python-based UI framework for making interactive
        web apps. No frontend experience is required.  Everything can
        be built using Python and delivered to users as a Python
        script.

        It ships with a collection of built-in UI components that are
        ready to use right out of the box. The components can be
        composed together in arbitrary layouts, and styled to achieve
        your own look and feel.

        Since it's Python, you can use any Python libraries you want,
        and connect to any data sources that Python can connect to.

        Also, since it's Python, you can modularize your app the
        natural way, breaking it up into functions and classes as you
        see fit.

        ## Hyperdiv Key Advantages

        * **No frontend experience required.** There is no need to
        learn HTML, CSS, Javascript, React, or any other frontend
        library. There's no need to learn node, npm, webpack, or any
        frontend-related infrastructure.

        * **No backend experience required.** There is no need to
        learn about servers, HTTP, Websockets, data serialization, or
        client-server protocols.

        * **Great for prototypes.** Since it's so easy and direct to
        use, Hyperdiv is great for rapidly building interactive UI
        prototypes to quickly validate ideas.

        * **Great for tools.** Since Hyperdiv apps are just Python
        scripts, they make a great substitute for command-line
        tools. Instead of shipping a command-line UI to your users,
        you can ship a Hyperdiv app. This docs app is a Hyperdiv app!

        * **Shareable.** You can share a Hyperdiv app as a
        `pip`-installable Python script to run locally on your users'
        computers, but you can also toss it behind Nginx and share it
        from the cloud.  """
    )
