import hyperdiv as hd


def qualname(obj):
    return f"{obj.__module__}.{obj.__name__}"


def render_value(value):
    if isinstance(value, str):
        if value is None or value == "":
            return '`""`'
        return f'`"{value}"`'
    elif callable(value):
        return "*function*"
    return f"`{value}`"


cell_style = dict(padding=8)


def header_row(*labels):
    with hd.table_row():
        for i, label in enumerate(labels):
            with hd.scope(i):
                hd.table_cell(
                    label,
                    font_weight="bold",
                    background_color=hd.theme().surface_color,
                    padding=4,
                    align="center",
                )
