from .styled_element import StyledElement
from ..core.element import Prop
from .icon import inline_icon_html, Icons


def label_join(label):
    return " ".join(
        [
            inline_icon_html(chunk) if type(chunk) is Icons else str(chunk)
            for chunk in label
        ]
    )


def parse_label(label):
    if isinstance(label, Icons):
        label = inline_icon_html(label)
    return label


class LabelProp(Prop):
    def parse(self, value):
        return parse_label(value)


class LabelElement(StyledElement):
    label = LabelProp("")

    def args_to_props(self, *args, **kwargs):
        if args:
            kwargs["label"] = label_join(args)
        return kwargs
