from ..core.element import RemoveProp
from .theme import theme_prop
from .container import container
from .props import BoolProp, OptionProp


class modal(container):
    opened = BoolProp(False)
    position = OptionProp("center", ("left", "top", "right", "bottom", "center"))
    background_color = theme_prop("background_color")
    cover_color = theme_prop("modal_cover_color")
    # These props are hardcoded to the appropriate values for a modal
    # in Modal.svelte and cannot be set by a user.
    role = RemoveProp()
    aria = RemoveProp()
