from .form_input import FormInput
from .theme import theme_prop
from .label_element import LabelElement
from .props import StrProp, BoolProp, CursorProp


class radio(LabelElement, FormInput):
    group = StrProp("")
    value = BoolProp(False)
    selected = value
    radio_color = theme_prop("primary_color")

    # Override StyledElement
    cursor = CursorProp("pointer")

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.resettable_parent = None

    def reset(self):
        FormInput.reset(self)
        if self.resettable_parent:
            self.resettable_parent.reset()
