from .text_input import text_input
from .props import TypedListProp


class select(text_input):
    options = TypedListProp(str, [])
    selected = text_input.value

    def args_to_props(self, *args, **kwargs):
        if len(args) == 2:
            kwargs["value"] = args[0]
            kwargs["options"] = args[1]

        if "value" not in kwargs or "options" not in kwargs:
            raise ValueError("Select must have a value and options.")

        return super().args_to_props(*args, **kwargs)

    def on_render(self, *args, **kwargs):
        # Check that the value is one of the possible options
        if self.value not in self.options:
            raise ValueError("select options must include a selected value.")
        return super().on_render(*args, **kwargs)
