from .input_element import InputElement
from .props import (
    PaddingProp,
    BorderProp,
    BoolProp,
    ColorProp,
    BorderRadiusProp,
    FontSizeProp,
    FontFamilyProp,
    FontWeightProp,
    PositiveIntProp,
    SizeProp,
    OutlineProp,
    CursorProp,
)


class StyledElement(InputElement):
    doc = ""

    min_width = SizeProp(None)
    min_height = SizeProp(None)
    max_width = SizeProp(None)
    max_height = SizeProp(None)
    width = SizeProp(None)
    height = SizeProp(None)
    padding = PaddingProp(0)
    border = BorderProp(None)
    background_color = ColorProp(None)
    hover_background_color = ColorProp(None)
    active_background_color = ColorProp(None)
    border_radius = BorderRadiusProp(0)
    cursor = CursorProp(None)
    font_color = ColorProp(None)
    font_size = FontSizeProp(None)
    font_family = FontFamilyProp(None)
    font_weight = FontWeightProp(None)
    grow = PositiveIntProp(0)
    shrink = PositiveIntProp(1)
    outline = OutlineProp(None)
    wrap_text = BoolProp(True)
