from ...core.unittests import simple_test
from ..form import form
from ..text_input import text_input
from ..checkbox import checkbox
from ..container import container


@simple_test
def test_form(ctx):
    f = form()
    with f:
        t = text_input("Foo")
        c = checkbox("Bar")
        with container():
            t1 = text_input("Foo1")
            c1 = checkbox("Bar1")

    assert f._inputs == [t, c, t1, c1]
    assert f.can_submit is True

    t.required = True
    assert f.can_submit is False

    t.value = "Hello"
    assert f.can_submit is True

    assert t.value == "Hello"
    f.reset()
    assert t.value == ""
    assert f.can_submit is False
