from ...core.unittests import simple_test
from ..head import get_fonts, head, import_fonts, remove_fonts, set_title
from ..props import FontsProp


def test_parse_fonts():
    prop = FontsProp(None)

    assert prop.parse(None) is None

    fonts = {"sans-serif": None, "foo": "foo.com"}
    assert prop.parse(fonts) == ["foo.com"]


@simple_test
def test_set_title(ctx):
    set_title("a", "b", "c")
    assert head().title == "a b c"


@simple_test
def test_import_fonts(ctx):
    import_fonts(("foo", "foo.com"), ("bar", "bar.com"))

    assert get_fonts() == {
        "foo": "foo.com",
        "bar": "bar.com",
        "Nunito": None,
        "serif": None,
        "sans-serif": None,
    }


@simple_test
def test_remove_fonts(ctx):
    import_fonts(("foo", "foo.com"), ("bar", "bar.com"))
    remove_fonts("foo")
    assert get_fonts() == {
        "bar": "bar.com",
        "Nunito": None,
        "serif": None,
        "sans-serif": None,
    }
